commit:     9d3b9998feda393307c14ae91e975e0b8b50244b
Author:     Manuel Rüger <mrueg <AT> gentoo <DOT> org>
AuthorDate: Tue May 16 20:47:25 2017 +0000
Commit:     Manuel Rüger <mrueg <AT> gentoo <DOT> org>
CommitDate: Tue May 16 20:49:56 2017 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=9d3b9998

dev-python/configargparse: Version bump to 0.12.0

Package-Manager: Portage-2.3.5, Repoman-2.3.2

 dev-python/configargparse/Manifest                 |  1 +
 .../configargparse/configargparse-0.12.0.ebuild    | 26 ++++++++++++++++++++++
 2 files changed, 27 insertions(+)

diff --git a/dev-python/configargparse/Manifest 
b/dev-python/configargparse/Manifest
index ca75fc0c5c3..eee57172e46 100644
--- a/dev-python/configargparse/Manifest
+++ b/dev-python/configargparse/Manifest
@@ -1 +1,2 @@
 DIST ConfigArgParse-0.11.0.tar.gz 40863 SHA256 
6c8ae823f6844b055f2a3aa9b51f568ed3bd7e5be9fba63abcaf4bdd38a0ac89 SHA512 
f97d37b5d1c0f5ebfdec4c55e9a8d20d0943a41d16b80fe1b2cfdd6acfa210e0cc7bae49340498c1b31dcc76704e8291892b97415137ec90cf49e24f261c62e9
 WHIRLPOOL 
88858bd22cd4efc5c32c75f611e33a7f2892a89143c6930fcec4bdc93898c3f666d4ffceedf0c8d22c224b3fbc67565cc2cb94fdc898463238dc0ec73b0ab197
+DIST ConfigArgParse-0.12.0.tar.gz 41524 SHA256 
28cd7d67669651f2a4518367838c49539457504584a139709b2b8f6c208ef339 SHA512 
d06f969088fb93479decffd984efed61070a663a652b06a3ac8198e64b5d681423f693ac6fdb58390eddc392ded9cf1e45056dad83256a84773c5f558f6788e8
 WHIRLPOOL 
3107392cd56efdf827871c05fd4849188c0129eb9ee5af3c9922edf6e6f918c08aef3b4da55da80f115438b9056ae5aaccd719b2f069a012b0a25fca777fd421

diff --git a/dev-python/configargparse/configargparse-0.12.0.ebuild 
b/dev-python/configargparse/configargparse-0.12.0.ebuild
new file mode 100644
index 00000000000..e68eebe1f24
--- /dev/null
+++ b/dev-python/configargparse/configargparse-0.12.0.ebuild
@@ -0,0 +1,26 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+PYTHON_COMPAT=( python{2_7,3_4,3_5,3_6} )
+
+inherit distutils-r1
+
+MY_PN=ConfigArgParse
+MY_P=${MY_PN}-${PV}
+
+DESCRIPTION="Drop-in replacement for argparse supporting config files and env 
variables"
+HOMEPAGE="https://github.com/zorro3/ConfigArgParse 
https://pypi.python.org/pypi/ConfigArgParse";
+SRC_URI="mirror://pypi/${MY_PN:0:1}/${MY_PN}/${MY_P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~x86"
+
+S=${WORKDIR}/${MY_P}
+
+RESTRICT="test"
+
+python_test() {
+       ${PYTHON} tests/test_configargparse.py || die
+}

Reply via email to